export declare function getAepBadgeState(): Promise<boolean>;
export declare function getAepBadgeId(): Promise<string>;
export declare function getAepMissedBadgeIds(): Promise<Array<string>>;
export declare function getAepMissedBadgeIdsPayload(): Promise<Array<string>>;
export declare function getAepPayloadContentType(): Promise<string>;
export declare function notifyAEPPayloadUpdate(payload: string, widgetId: string, instanceId: string, isOffline: boolean): Promise<void>;
declare type KnownSettings = {
    HoverEnabled?: boolean;
    RotationEnabled?: boolean;
    BadgingEnabled?: boolean;
    PinningEnabled?: boolean;
};
export declare function getSettings(): Promise<string>;
export declare function updateSetting(settings: KnownSettings): Promise<void>;
export declare function setSettings(isHoverEnabled: boolean, isBadgingEnabled: boolean, isRotationEnabled: boolean): Promise<void>;
export {};
